Page MenuHomePhabricator

Make Magnus tools on tools.wmflabs.org work in HTTPS
Closed, ResolvedPublic

Description

For example:
https://tools.wmflabs.org/magnustools/resources/js/common.js line 45

function httpsAlert ( id , b4 ) {
	if ( window.location.href.match ( /^https:/ ) ) {
		var url = window.location.href.replace ( /^https:/ , 'http:' ) ;
		var h = '<div id="https_alert" class="alert"><strong>Caveat :</strong> Using https on this page does not work in all browsers, due to downstream http dependencies. ' ;
		h += '<a href="' + url + '">Use http instead</a>.<a class="close" data-dismiss="alert" href="#">&times;</a></div>' ;
		if ( b4 ) $('#'+id).before ( h ) ;
		else $('#'+id).after ( h ) ;
		$('#https_alert').alert() ;
	}
}

Event Timeline

Bugreporter updated the task description. (Show Details)
Bugreporter raised the priority of this task from to Needs Triage.

In that case, specifically, the issue is that http://stats.grok.se/ is not available over https.

In that case, specifically, the issue is that http://stats.grok.se/ is not available over https.

Yep, that's a very well known issue and for that reason several Magnus tools NEED to be accessed over http.

I could add a proxy script on Labs, but my experience is that this does help neither speed nor reliability.

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 23 2015, 9:27 AM

I could set up an 'official' NFS-independent https -> http proxy on tools (tools-https-proxy.wmflabs.org) that allows you to request https://tools-https-proxy.wmflabs.org/<URL> to proxy a URL.

I can also help the maintainer of stats.grok.de setup SSL, if so desired.

valhallasw triaged this task as Low priority.Jul 2 2015, 7:40 PM
valhallasw moved this task from Triage to Backlog on the Toolforge board.
Bugreporter set Security to None.
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added a project: Operations. · View Herald TranscriptFeb 23 2016, 6:12 PM

I can also help the maintainer of stats.grok.de setup SSL, if so desired.

Or maybe Magnus' tool should use the new Page View API instead of http://stats.grok.se.

Nemo_bis added a comment.EditedFeb 29 2016, 8:41 PM

Or maybe Magnus' tool should use the new Page View API instead of http://stats.grok.se.

He already does and he *also* has a proxy, working with URLs such as https://tools.wmflabs.org/glamtools/proxy.php?url=http%3A%2F%2Fstats.grok.se%2Fjson%2Fit%2F201601%2FMathieu%2520La%2520Porte (test with https://tools.wmflabs.org/glamtools/treeviews/?q=%7B%22lang%22%3A%22it%22%2C%22pagepile%22%3A%22492%22%2C%22rows%22%3A%5B%5D%7D ).

This bug is fixed as regards Magnus tools, I think; and it's probably too generic for the whole of Tool Labs. Maybe just close?

Dzahn added a subscriber: Dzahn.Feb 29 2016, 8:42 PM

This bug is fixed as regards Magnus tools, I think; and it's probably too generic for the whole of Tool Labs. Maybe just close?

Use as a tracking ticket. Make subtasks for individual tools who are still http-only.?

Use as a tracking ticket. Make subtasks for individual tools who are still http-only.?

We need a list first, for a serious tracking bug. I filed T128409 for now.

Nemo_bis renamed this task from Fix all http-only tools in tools.wmflabs.org to Make Magnus tools on tools.wmflabs.org work in HTTPS.Feb 29 2016, 8:51 PM
Nemo_bis closed this task as Resolved.
Nemo_bis assigned this task to Magnus.
Magnus added a comment.Mar 7 2016, 4:40 PM

Just FYI, treeviews is now completely https (the last remaining http element was the tree image...)
https://tools.wmflabs.org/glamtools/treeviews/

Dzahn awarded a token.Mar 10 2016, 7:31 PM